INTERFACE
SUBROUTINE GP_SPV(&
 & LDLADNMI,LDTL,KST,KEND,&
 & PSPT0,PSPT0L,PSPT0M,PSPT9,PSPT9L,PSPT9M,&
 & PRE0,PRE0L,PRE0M,PRE9,PRE9L,PRE9M) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
LOGICAL ,INTENT(IN) :: LDLADNMI
LOGICAL ,INTENT(IN) :: LDTL
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT0(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT0L(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT0M(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT9(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT9L(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT9M(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE0L(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE0M(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE9L(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRE9M(NPROMA)
END SUBROUTINE GP_SPV
END INTERFACE
